Storyden
Admin

Admin Account Ban Create

Suspend an account - soft delete. This disables the ability for the account owner to log in and use the platform. It keeps the account on record for linkage to content so UI doesn't break. It does not change anything else about the account such as the avatar, name, etc. Suspending the last active account with ADMINISTRATOR is rejected with 400. Suspended accounts do not count as remaining administrators.

POST
/admin/bans/{account_handle}

Suspend an account - soft delete. This disables the ability for the account owner to log in and use the platform. It keeps the account on record for linkage to content so UI doesn't break. It does not change anything else about the account such as the avatar, name, etc. Suspending the last active account with ADMINISTRATOR is rejected with 400. Suspended accounts do not count as remaining administrators.

Authorization

cookiestoryden-session<token>

Path Parameters

account_handle*string

Account handle.

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

joined*MemberJoinedDate

The time the resource was created.

Formatdate-time
suspended?MemberSuspendedDate

The time the resource was created.

Formatdate-time
handle*AccountHandle

The unique @ handle of an account.

name*AccountName

The account owners display name.

roles*array<>
bio*AccountBio

The rich-text bio for an account's public profile.

signature?AccountSignature

The rich-text signature shown beneath a member's posts.

links*array<>
meta*

Arbitrary metadata for the resource.

verified_status*AccountVerifiedStatus
Value in"none""verified_email""manual"
kind*AccountKind
Value in"human""bot"
email_addresses*array<>

If the instance is configured to not use any email features for auth or transactional/content communications, this will always be empty.

auth_services*array<AuthProviderIdentifier>
notifications?NotificationCount
admin*boolean
invited_by?

A minimal reference to an account.

Example Request
curl -X POST 'https://example.com/api/admin/bans/southclaws'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "joined": "2019-08-24T14:15:22Z",  "suspended": "2019-08-24T14:15:22Z",  "handle": "string",  "name": "string",  "roles": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "colour": "string",      "permissions": [        "CREATE_POST"      ],      "meta": {},      "badge": true,      "default": true    }  ],  "bio": "string",  "signature": "string",  "links": [    {      "text": "string",      "url": "string"    }  ],  "meta": {},  "verified_status": "none",  "kind": "human",  "email_addresses": [    {      "id": "string",      "email_address": "string",      "verified": true    }  ],  "auth_services": [    "string"  ],  "notifications": 0,  "admin": true,  "invited_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}